// pages/home/index.js
const app = getApp()
const user = require('../../api/user.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isAuth: false, //是否认证
    authorize: false,
    canIUseGetUserProfile: false,
    name: '',
    phone: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // this.getUserInfo()
    console.log(app)
    if (wx.getUserProfile) {
      this.setData({
        canIUseGetUserProfile: true
      })
    }
    app.globalData.$http()
  },
  getUserInfoProfile(){
    app.login().then((res)=>{
      console.log(res)
    })
  },
  submitInfo(){
    if(this.data.name == '' ){
      return this.alertMessage('请输入您的姓名')
    } else if(this.data.phone == ''){
      return this.alertMessage('请输入您的电话')
    }
  },
  alertMessage(msg){
    wx.showToast({
      title: msg,
      icon: 'none'
    })
  },
  toDetial(){
    wx.navigateTo({
      url: '/pages/goodsDetail/index',
    })
  },
  toCompany(){
    wx.navigateTo({
      url: '/pages/companyInfo/index',
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})